<?php

namespace App\Modules\TourQuestion\Application;

use App\Modules\Shared\Domain\Bus\Query\Response;

class TourQuestionResponses implements Response
{

    private array $data;

    public function __construct(TourQuestionResponse ...$data)
    {
        $this->data = $data;
    }

    public function data()
    {
        return $this->data;
    }
}
